> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v-2024-05-25/api/events/get-events/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Get events GET https://api.sandbox.monite.com/v1/events Returns all webhook events that were triggered for the specified entity based on your enabled webhook subscriptions. These are the same events that were sent to your configured webhook listener endpoints, aggregated into a single list. Results can be filtered by the related object type or time period. You can use this to get the missed events for the time periods when your webhook listener was temporarily unavailable. We guarantee access to event data only from the last three months. Earlier events may be unavailable. Reference: https://docs.monite.com/api/events/get-events ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Query parameters - `order` (enum, optional) — Sort order (ascending by default). Typically used together with the `sort` parameter. - Allowed values: `asc`, `desc` - `limit` (integer, optional, default: 100) — The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page. - `pagination_token` (string, optional) — A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters are ignored and inferred from the initial query. If not specified, the first page of results will be returned. - `sort` (enum, optional) — The field to sort the results by. Typically used together with the `order` parameter. - Allowed values: `created_at`, `updated_at` - `object_type` (enum, optional) - Allowed values: `account`, `accounting_connection`, `approval`, `approval_request`, `approval_policy`, `approval_policy_process`, `batch_payment`, `comment`, `counterpart`, `counterpart_address`, `counterpart_bank_account`, `counterpart_contact_person`, `counterpart_partner_metadata`, `counterpart_tax_id`, `entity`, `entity_bank_account`, `entity_settings`, `entity_user`, `export`, `overdue_reminder`, `partner_settings`, `payable`, `payables_credit_note`, `payables_purchase_order`, `payable.line_item`, `payment`, `payment_intent`, `payment_link`, `payment_reminder`, `product`, `project`, `receivable`, `recurrence`, `role`, `tag`, `todo_task`, `workflow`, `workflow_pipeline`, `ocr_task`, `delivery_note`, `receipt`, `transaction` - `created_at__gt` (datetime, optional) - `created_at__lt` (datetime, optional) - `created_at__gte` (datetime, optional) - `created_at__lte` (datetime, optional) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `data` (list of EventResource, required) — A set of events returned per page - `next_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the next page of results, or `null` if there is no next page (i.e. you've reached the last page). - `prev_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the previous page of results, or `null` if there is no previous page (i.e. you've reached the first page). ## Errors ### 401 Get Events Request Unauthorized Error The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls. - `any` ### 422 Get Events Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 429 Get Events Request Too Many Requests Error API rate limit has been exceeded. Check the response headers for the rate limit information. - `any` ## Types ### EventResource - `id` (string, required) - `action` (string, required) - `description` (string, required) - `entity_id` (string, required) - `object_type` (enum, required) - Allowed values: `account`, `accounting_connection`, `approval`, `approval_request`, `approval_policy`, `approval_policy_process`, `batch_payment`, `comment`, `counterpart`, `counterpart_address`, `counterpart_bank_account`, `counterpart_contact_person`, `counterpart_partner_metadata`, `counterpart_tax_id`, `entity`, `entity_bank_account`, `entity_settings`, `entity_user`, `export`, `overdue_reminder`, `partner_settings`, `payable`, `payables_credit_note`, `payables_purchase_order`, `payable.line_item`, `payment`, `payment_intent`, `payment_link`, `payment_reminder`, `product`, `project`, `receivable`, `recurrence`, `role`, `tag`, `todo_task`, `workflow`, `workflow_pipeline`, `ocr_task`, `delivery_note`, `receipt`, `transaction` - `created_at` (datetime, optional) — The timestamp that was generated at the time of making the database transaction that has initially caused the event - `api_version` (string, optional) - `object` (any, optional) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Response** ```json { "data": [ { "id": "id", "action": "action", "description": "description", "entity_id": "entity_id", "object_type": "account", "created_at": "2024-01-15T09:30:00Z", "api_version": "api_version", "object": { "key": "value" } } ], "next_pagination_token": "next_pagination_token", "prev_pagination_token": "prev_pagination_token" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/events" headers = { "x-monite-version": "2024-05-25", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/events'; const options = { method: 'GET', headers: { 'x-monite-version': '2024-05-25', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/events" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-monite-version", "2024-05-25") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/events") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-monite-version"] = '2024-05-25' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sandbox.monite.com/v1/events") .header("x-monite-version", "2024-05-25") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.sandbox.monite.com/v1/events', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-05-25', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/events"); var request = new RestRequest(Method.GET); request.AddHeader("x-monite-version", "2024-05-25"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-05-25", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/events")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```